/*
   bootloader.h
*/

#ifndef _BOOTLOADER
#define _BOOTLOADER

#include "integer.h"

// Note filename *MUST* be 11 characters long as would appear in a FAT
// directory entry !
//						"0123456789A"
#define BootFileName	"DGNMMC  BIN"

/* Results of Disk Functions */
typedef enum {
	RES_OK = 0, /* 0: Function succeeded */
	RES_ERROR, 	/* 1: Disk error */
	RES_NOTRDY, /* 2: Not ready */
	RES_PARERR 	/* 3: Invalid parameter */
} DRESULT;

typedef BYTE DSTATUS;

#endif