;
; cmd_delete.asm : delete the specified file.
;

CmdMDelete
		lbsr	GetSendFileName		; Get filename send to MMC
		leax	DeleteMess-1,PCR	; Prompt the user
		jsr     >TextOutString	
		
CmdMDeleteLoop
		jsr		>BasicKbdIn		; Poll keyboard
		beq		CmdMDeleteLoop	; No key pressed loop again
		
		cmpa	#'N				; No key pressed ?
		beq		CmdMDeleteExit	; yes : exit
		
		cmpa	#'Y				; Yes key pressed ?
		bne		CmdMDeleteLoop	; no : keep waiting
		
		lda		#CMD_FILE_DELETE	; Delete the file
		lbsr	MMC_SendCmd		; send it
		lbsr	CheckError		; and check for error

CmdMDeleteExit
		clra
		rts

