;
; cmds_config.asm Get/Set config.
;
		
CmdSetCFG
		jsr		VarCKOpBrac				; Check for open bracket
		jsr		VarGet8Bit				; Get config byte from basic
		pshs	b						; save config byte
		jsr		VarCKClBrac				; check for close bracket
		puls	a						; recover config byte
		
		lbsr	MMC_WaitPutLatchRead	; send config byte to MMC	
		lda		#CMD_SET_CFG_BYTE		; set config byte
		lbsr	MMC_SendCmd				; Exec send command
				
		clra
		rts
		
FUNCGetCFG
		lda		#CMD_GET_CFG_BYTE		; Get the config byte
		lbsr	MMC_SendCmdRaw
		
		lbra	MMC_WaitGetWrittenReturn	; wait for reply return it to basic
