;
; Console.asm : write things to Dragon screen.
;

		
;
; Write byte in a as hex followed by space.
;
		
CONWriteHexByte
		pshs	a
	
		lsra					; Move msn to lsn
		lsra	
		lsra	
		lsra	

		bsr		CONGetHexNibbleA	; send msn
		jsr		BasicScreenOut	
	
		lda		,s				; retrive digit
		bsr		CONGetHexNibbleA	; send lsn
		jsr		BasicScreenOut	
	
		lda		#$20			; send space
		jsr		BasicScreenOut	; send it
	
		puls	a,pc
		
CONHexDigits
		fcc		/0123456789ABCDEF/
	
CONGetHexNibbleA
		pshs	x
		anda	#$0F			; mask out bytes
	
		leax	CONHexDigits,pcr	; Point to digits
		leax	a,x				; point to needed digit
		lda		,x				; **GET** hex digit !
		puls	x,pc

;
; Write a version number in a as msn.lsn followed by space.
;

CON_NdotN
		pshs	a
	
		lsra					; Move msn to lsn
		lsra	
		lsra	
		lsra	

		bsr		CONGetHexNibbleA ; send msn
		jsr		BasicScreenOut	

		lda		#'.				; send dot
		jsr		BasicScreenOut	

		lda		,s				 ; retrive digit
		bsr		CONGetHexNibbleA ; send lsn
		jsr		BasicScreenOut	
	
		lda		#$20			; send space
		jsr		BasicScreenOut	; send it
	
		puls	a,pc
		
;
; CON_EOL : Write end of line sequence
;

CON_EOL
		lda		#$0d			; EOL
		jmp		BasicScreenOut	; send it