#ifndef __MMC2_H
#define __MMC2_H

#include "integer.h"
#include "dragon_disk.h"

#define VSN_MAJ 2
#define VSN_MIN 9

#define SECBUFFSIZE 512
#define GLOBUFFSIZE 256

//#define INCLUDE_SDDOS

#define EE_SYSFLAGS 0xff
#define EE_PORTBVALU 0xfe
#define EE_PORTBTRIS 0xfe

extern unsigned char configByte;
extern unsigned char CardType;
extern unsigned char blVersion;
extern unsigned char portBVal;

extern unsigned char globalData[];

extern WORD SAMBits;
extern WORD SaveSAMBits;

extern void at_initprocessor(void);
extern void at_process(void);
extern void InitNewCard(void);
extern void DismountCard(void);

#define MODEREAD 1
#define MODEWRITE 2


typedef void (*WORKERFN)(void);

#define WFUNC(x)  extern void wfn##x(void); const WORKERFN WFN_##x = wfn##x;



#ifdef INCLUDE_SDDOS

typedef struct
{
   char 			filename[13];
   unsigned char 	attribs;
   WORD				HeadSize;
   DISK_GEOM		geom;
}
imgInfo;

#define SDDOS_NO_DRIVES		4
#define SDDOS_SECTOR_SIZE	256

#endif


#endif // __MMC2_H
