;
; cmds_config.asm Get/Set config.
;
		
CmdSetCFG
		jsr		VarCKOpBrac				; Check for open bracket
		jsr		VarGet8Bit				; Get config byte from basic
		pshs	b						; save config byte
		jsr		VarCKClBrac				; check for close bracket
		puls	a						; recover config byte
		
		bsr		SetCFGinA				; set config byte
		
		clra
		rts

;
; Set the config byte from A
;
SetCFGinA
		lbsr	MMC_WaitPutLatchRead	; send config byte to MMC	
		lda		#CMD_SET_CFG_BYTE		; set config byte
		lbsr	MMC_SendCmd				; Exec send command
		rts
		
		
FUNCGetCFG
		bsr		GetCFGinA				; get config byte
		tfr		a,b
		jmp		VarAssign8Bit			; return it to basic


GetCFGinA
		lda		#CMD_GET_CFG_BYTE		; Get the config byte
		lbsr	MMC_SendCmdRaw
		lbsr	MMC_WaitGetWritten		; wait for reply return it
		sta		<CFGByte				; save it in ram
		rts
		